import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class CtaOneSectionCms extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    backgroundImage: string;

    @Prop({ default: null, nullable: true })
    featureImage: string;

    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subtitle: string;

    @Prop({ default: null, nullable: true })
    description: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    contactNumber: string;

 
}

export const CtaOneSectionCmsSchema = SchemaFactory.createForClass(CtaOneSectionCms);