import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class CtaThreeSectionCms extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    heading: string;

    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    description: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    contactNumber: string;

    @Prop({ default: null, nullable: true })
    backgroundImage: string;
 
}

export const CtaThreeSectionCmsSchema = SchemaFactory.createForClass(CtaThreeSectionCms);