import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseHeaderFooterCmsDto {
    @IsOptional()
    logo: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    copyrightText: string;

    @IsNotEmpty()
    newsletterText: string;
}