import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseHomePageHeroCmsDto {
    @IsNotEmpty()
    heading: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    subtitle: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    ratingImage: string;

    @IsNotEmpty()
    ratingText: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;

    @IsNotEmpty()
    arrowImage: string;

    @IsNotEmpty()
    backgroundImage: string;
}