import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class PageBannerCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    image: string;
}

export const PageBannerCmsSchema = SchemaFactory.createForClass(PageBannerCms);