import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class SubmitFormSuccessCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    image: string;
    
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subtitle: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;
}

export const SubmitFormSuccessCmsSchema = SchemaFactory.createForClass(SubmitFormSuccessCms);