import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class TestimonialSectionCms extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    titleOne: string;

    @Prop({ default: null, nullable: true })
    titleTwo: string;

    @Prop({ default: null, nullable: true })
    subtitle: string;


    

 
}

export const TestimonialSectionCmsSchema = SchemaFactory.createForClass(TestimonialSectionCms);