import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class VideoTestimonialCms extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    ratingImage: string;

    @Prop({ default: null, nullable: true })
    numberCount: string;

    @Prop({ default: null, nullable: true })
    googleImage: string;

    @Prop({ default: null, nullable: true })
    reviewText: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;

 
}

export const VideoTestimonialCmsSchema = SchemaFactory.createForClass(VideoTestimonialCms);