import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateBlogDto {
    @IsOptional()
    image: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    description: string;

    @IsOptional()
    relatedBlogs: Array<any>;

    @IsOptional()
    slug: string;
}
