import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class NewsletterSubscription extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    email: string;
}

export const NewsletterSubscriptionSchema = SchemaFactory.createForClass(NewsletterSubscription);