import { Body, Controller, Delete, Get, Param, Patch, Post, Query, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CreateTemporaryPasswordDto } from "./dto/create-temporary-password.dto";
import { UpdateTemporaryPasswordDto } from "./dto/update-temporary-password.dto";
import { TemporaryPasswordService } from "./temporary-password.service";

@Controller({ path: "temporary-password", version: Constants.API_VERSION_1 })

export class TemporaryPasswordController {
    constructor(private readonly service: TemporaryPasswordService) { }
}