import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateTestimonialDto {
    @IsOptional()
    userImage: string;

    @IsNotEmpty()
    userTestimonial: string;

    @IsNotEmpty()
    userName: string;

    @IsNotEmpty()
    ratingCount: number;
}
