import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateVideoTestimonialDto {
    @IsOptional()
    video: string;

    @IsOptional()
    videoThumbnail: string;

    @IsOptional()
    userImage: string;
    
    @IsNotEmpty()
    userName: string;
    
    @IsNotEmpty()
    ratingCount: number;

    @IsNotEmpty()
    userTestimonial: string;

    @IsOptional()
    platformIcon: string;
    
    @IsNotEmpty()
    platformName: string;
    
    @IsOptional()
    postedOnText: string;

}
