import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class ContactPageComponentUI extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    pageBackgroundColor: string;



}

export const ContactPageComponentUISchema = SchemaFactory.createForClass(ContactPageComponentUI);