import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseAboutSectionOneCmsDto {
    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;

    @IsOptional()
    image: string;
}