import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class CommonFormCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subtitle: string;

    @Prop({ default: null, nullable: true })
    checkmarkText: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;
}

export const CommonFormCmsSchema = SchemaFactory.createForClass(CommonFormCms);