import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseCommonVideoSectionCmsDto {
    @IsNotEmpty()
    titleOne: string;

    @IsNotEmpty()
    titleTwo: string;

    @IsNotEmpty()
    subtitle: string;

    @IsNotEmpty()
    video: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;

    @IsOptional()
    videoThumbnail: string;
}