import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseContactPageCmsDto {
    @IsNotEmpty()
    address: string;

    @IsNotEmpty()
    addressText: string;

    @IsNotEmpty()
    contactNumber: string;

    @IsNotEmpty()
    contactText: string;

    @IsNotEmpty()
    emailText: string;

    @IsNotEmpty()
    email: string;

    @IsNotEmpty()
    mapUrl: string;

    @IsNotEmpty()
    buttonText: string;
}