import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseCtaThreeSectionCmsDto {
    @IsNotEmpty()
    heading: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    contactNumber: string;

    @IsOptional()
    backgroundImage: string;
 
}