import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class CtaTwoSectionCms extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    heading: string;

    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    contactNumber: string;

    @Prop({ default: null, nullable: true })
    subtitle: string;

    @Prop({ default: null, nullable: true })
    subtitleTwo: string;

    @Prop({ default: null, nullable: true })
    titleTwo: string;

    

 
}

export const CtaTwoSectionCmsSchema = SchemaFactory.createForClass(CtaTwoSectionCms);