import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class PageTitleCms extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    aboutPageTitle: string;

    @Prop({ default: null, nullable: true })
    injuryCategoryPageTitle: string;

    @Prop({ default: null, nullable: true })
    contactUsPageTitle: string;

    @Prop({ default: null, nullable: true })
    blogPageTitle: string;

    @Prop({ default: null, nullable: true })
    blogDetailsPageTitle: string;

    @Prop({ default: null, nullable: true })
    termsPageTitle: string;

    @Prop({ default: null, nullable: true })
    privacyPageTitle: string;

    @Prop({ default: null, nullable: true })
    legalPageTitle: string;

    @Prop({ default: null, nullable: true })
    videoPageTitle: string;

    @Prop({ default: null, nullable: true })
    faqPageTitle: string;

    @Prop({ default: null, nullable: true })
    homePageTitle: string;
 
}

export const PageTitleCmsSchema = SchemaFactory.createForClass(PageTitleCms);