import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class SiteMapCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    siteMap: string;
}

export const SiteMapCmsSchema = SchemaFactory.createForClass(SiteMapCms);