import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseSubmitFormSuccessCmsDto {
    @IsOptional()
    image: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    subtitle: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;
}