import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateCategoryDetailsDto {
    @IsNotEmpty()
    title: string;

    @IsOptional()
    image: string;

    @IsNotEmpty()
    shortDescription: string;

    @IsNotEmpty()
    longDescription: string;

    @IsOptional()
    slug: string;
}
