import { Body, Controller, Delete, Get, Param, Patch, Post, Query, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CreateChangePasswordTokenDto } from "./dto/create-change-password-token.dto";
import { UpdateChangePasswordTokenDto } from "./dto/update-change-password-token.dto";
import { ChangePasswordTokenService } from "./change-password-token.service";

@Controller({ path: "change-password-token", version: Constants.API_VERSION_1 })

export class ChangePasswordTokenController {
    constructor(private readonly service: ChangePasswordTokenService) { }
}