import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateContactDto {
    @IsNotEmpty()
    readonly firstName: string;

    @IsNotEmpty()
    readonly lastName: string;

    @IsNotEmpty()
    readonly email: string;

    @IsOptional()
    readonly message: string;
}
