import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateUsersDto {
    @IsNotEmpty()
    firstName: string;

    @IsNotEmpty()
    lastName: string;

    @IsNotEmpty()
    email: string;

    @IsOptional()
    password: string;

    @IsOptional()
    phone: string;

    @IsOptional()
    image: string;

    @IsOptional()
    userType: string;
    
    @IsOptional()
    address: string;

    @IsOptional()
    zipCode: string;

    @IsOptional()
    state: string;
}
