import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class BlogDetailsPageComponentUI extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    pageBackgroundColor: string;

    @Prop({ default: null, nullable: true })
    blogTitleFontColor: string;


}

export const BlogDetailsPageComponentUISchema = SchemaFactory.createForClass(BlogDetailsPageComponentUI);