import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class BlogPageComponentUI extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    pageBackgroundColor: string;


}

export const BlogPageComponentUISchema = SchemaFactory.createForClass(BlogPageComponentUI);