import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class CommonComponentUI extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    commonVideoSectionTitleOneFontColor: string;

    @Prop({ default: null, nullable: true })
    commonVideoSectionTitleTwoFontColor: string;

    @Prop({ default: null, nullable: true })
    commonVideoSectionSubtitleFontColor: string;

    @Prop({ default: null, nullable: true })
    videoTestimonialSectionTitleFontColor: string;
    @Prop({ default: null, nullable: true })
    categoriesSectionTitleOneFontColor: string;
    @Prop({ default: null, nullable: true })
    categoriesSectionTitleTwoFontColor: string;
    @Prop({ default: null, nullable: true })
    categoriesSectionSubtitleFontColor: string;
    @Prop({ default: null, nullable: true })
    commonFormTitleOneFontColor: string;
    @Prop({ default: null, nullable: true })
    commonFormTitleTwoFontColor: string;
    @Prop({ default: null, nullable: true })
    commonFormSubtitleFontColor: string;
    @Prop({ default: null, nullable: true })
    ctaOneTitleFontColor: string;
    @Prop({ default: null, nullable: true })
    ctaTwoTitleFontColor: string;
    @Prop({ default: null, nullable: true })
    ctaThreeTitleFontColor: string;
    @Prop({ default: null, nullable: true })
    testimonialSectionTitleOneFontColor: string;
    @Prop({ default: null, nullable: true })
    testimonialSectionTitleTwoFontColor: string;
    @Prop({ default: null, nullable: true })
    testimonialSectionSubtitleFontColor: string;
    @Prop({ default: null, nullable: true })
    faqSectionTitleFontColor: string;
    @Prop({ default: null, nullable: true })
    blogSectionTitleOneFontColor: string;
    @Prop({ default: null, nullable: true })
    blogSectionTitleTwoFontColor: string;
    @Prop({ default: null, nullable: true })
    blogSectionSubtitleFontColor: string;

}

export const CommonComponentUISchema =
    SchemaFactory.createForClass(CommonComponentUI);
