import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class HomePageComponentUI extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    heroSectionTitleFontColor: string;

    @Prop({ default: null, nullable: true })
    herosectionSubtitleFontColor: string;

    @Prop({ default: null, nullable: true })
    sectionTwoTitleOneFontColor: string;

    @Prop({ default: null, nullable: true })
    sectionTwoTitleTwoFontColor: string;

    @Prop({ default: null, nullable: true })
    sectionTwoTitleThreeFontColor: string;

    @Prop({ default: null, nullable: true })
    pageBackgroundColor: string;
}

export const HomePageComponentUISchema = SchemaFactory.createForClass(HomePageComponentUI);