import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class LegalPageComponentUI extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    pageBackgroundColor: string;
    @Prop({ default: null, nullable: true })
    legalTitleFontColor: string;


}

export const LegalPageComponentUISchema = SchemaFactory.createForClass(LegalPageComponentUI);