import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class PrivacyPolicyPageComponentUI extends AbstractDocument {

    @Prop({ default: null, nullable: true })
    pageBackgroundColor: string;

    @Prop({ default: null, nullable: true })
    pageTitleFontColor: string;

}

export const PrivacyPolicyPageComponentUISchema = SchemaFactory.createForClass(PrivacyPolicyPageComponentUI);