// doSpacesService.ts
import { PutObjectCommand, S3Client } from "@aws-sdk/client-s3";
import { Injectable } from '@nestjs/common';
import { extname } from 'path';
import { v4 as uuidv4 } from 'uuid';
import { UploadedMulterFileI } from '.';

@Injectable()
export class DoSpacesService {
    private s3: any;
    constructor() {
        this.s3 = new S3Client({
            endpoint: "https://nyc3.digitaloceanspaces.com",
            region: "nyc3",
            credentials: {
                accessKeyId: "DO00NHA6DX763EXANU3M", 
                secretAccessKey: "rg4Dcnpb9i8+rndN2RFAgQ7Bu+dQyxtCR6BKbSlTPxI"
            }
        });
    }

    async uploadFile(file: UploadedMulterFileI, uploadLocation?: string) {
        const extension = extname(file.originalname);
        let fileName = `pain.${uuidv4()}.do${extension}`;
        if (uploadLocation) {
            fileName = uploadLocation + fileName;
        }

        let tryAttemt = 0
        try {
            const result = await this.s3.send(new PutObjectCommand({
                Bucket: 'pain-project',
                Key: fileName,
                Body: file.buffer,
                ACL: 'public-read',
                ContentType: file.mimetype
            }));
            // console.log("Uploaded file: ", new Date(), `https://neutrix-site.nyc3.digitaloceanspaces.com/${fileName}`)
            return `https://pain-project.nyc3.digitaloceanspaces.com/${fileName}`;
        } catch (error) {
            if (tryAttemt == 0) {
                tryAttemt++;
                try {
                    const result = await this.s3.send(new PutObjectCommand({
                        Bucket: 'pain-project',
                        Key: fileName,
                        Body: file.buffer,
                        ACL: 'public-read',
                        ContentType: file.mimetype
                    }));
                    // console.log("Uploaded File", new Date(), `https://neutrix-site.nyc3.digitaloceanspaces.com/${fileName}`)
                    return `https://pain-project.nyc3.digitaloceanspaces.com/${fileName}`;
                } catch (error) {
                    console.error('Error uploading object:', error);
                    throw error;
                }
            }
            console.error('Error uploading object:', error);
            throw error;
        }
    }
}